<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>ASP Installation</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>WordWriter.dll and collections.dll are .NET assemblies.  WordWriter 
includes a COM callable wrapper (CCW) that allows to use the .NET 
<a href="wordtemplate_asp.htm">WordTemplate</a> object from ASP.  To 
install WordWriter for ASP:</p>
<ol>
	<li>Install WordWriter.dll and collections.dll in the Global Assembly Cache:<br><br>
	<ol>
		<li>Copy WordWriter.dll to C:\WINNT\Assembly.</li><br><br>
		<li>Copy collections.dll to C:\WINNT\Assembly.</li>
	</ol>
	</li><br>
	<li>Register WordWriterCOM.dll:<br><br>
	<ol>
		<li>Open a command prompt window and move to the directory WordWriter\doc-samples\bin. 
		For example, enter <nobr><strong><tt>cd WordWriter\doc-samples\bin</tt></strong></nobr>.</li><br><br>
		<li>Enter <strong><tt>regsvr32 WordWriterCOM.dll</tt></strong>. A dialog box will 
		inform you that WordWriterCOM.dll registered successfully; click Ok.</li><br><br>
		<li>Enter <strong><tt>iisreset</tt></strong> to reset IIS.</li>
	</ol>	
</ol>
<p><table bgcolor="#E5EEF5" cellpadding=5 bordercolor="005a9b" border=1 cellspacing=0 ID="Table1">
<tr>
<td>The CCW (WordWriterCOM.dll) is a COM object that makes internal calls to the WordWriter
.NET assembly.  Therefore, to use WordWriter in ASP, all of the 
<a href="<%=vroot%>doc/intro/requirements.htm">system requirements</a> for running WordWriter in ASP.NET must be 
satisfied.</td>
</tr>
</table></p>


<!--BEGIN FOOTER-->
<p>
<hr>
<p>
<font size="-2">Copyright &copy; 2003, <a target="_blank" href="http://www.softartisans.com">SoftArtisans</a>, Inc.</font>
</div>
</td>
</tr>
</table>
</BODY>
</html>
<!--END FOOTER-->
