<%@ Language="VBScript" %>
<% Option Explicit %>

<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<img src="../../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter" />
<br /><br />
<body>
<%
'
'	SoftArtisans WordWriter DataSourceUpdate Sample (ASP)
'	-----------------------------------------------------
'
'	You can call Process() and Save() multiple times on the same
'	WordTemplate instance to generate multiple documents with 
'	different data.
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'
	'--- Declarations
	Dim arrValues
	Dim arrNames
	Dim oWW
	
	'--- The array of values
	'--- these values are what will be populated into mergefields in the 
	'--- template document
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	
	'--- The array of names
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrNames = Array("CompanyName", "ProductName", "URL")

	'--- Instantiate the WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call open() to open the template file
	oWW.Open Server.MapPath("./DataSourceUpdateTemplate.doc")

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValues, arrNames

	'--- Call WordTemplate.Process() to populate the template with the data
	oWW.Process

	'--- After calling Process(), pass the Save method a string filename to save to disk
	oWW.Save Server.MapPath("./DataSourceUpdateOutput-1.doc")

	'--- Now, update the data source by adjusting the elements of the arrValues array
	arrValues(0) = "SoftArtisans, Inc."
	arrValues(1) = "WordWriter.WordTemplate"
	arrValues(2) = "www.softartisans.com"

	'--- Call Process() again to populate the currently opened template with the new data source
	oWW.Process

	'--- Save the updated document
	oWW.Save Server.MapPath("./DataSourceUpdateOutput-2.doc")

	
	Response.Write("Both documents have been saved to: " & Server.MapPath("."))
	
%>
</body>
</html>

