<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter OpenInline Sample (ASP)
'	-----------------------------------------------
'
'	Demonstrates how to stream a template and open it inline
'	instead of as an attachment
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'
	'--- Declarations
	Dim arrValues
	Dim arrNames
	Dim oWW

	'--- The array of values
	'--- these values are what will be populated into mergefields in the 
	'--- template document
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	
	'--- The array of names
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrNames = Array("CompanyName", "ProductName", "URL")

	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call Open() to open the template file
	oWW.Open Server.MapPath("./OpenInlineTemplate.doc")

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValues, arrNames

	'--- Call WordTemplate.Process() to populate the template with the new data
	oWW.Process

	'--- After processing the template, call WordTemplate.Save() and pass the ASP Response
	'--- object to stream the result to the client
	'--- The second argument is the file name that will appear in the SaveAs dialog
	'--- The third argument is "open inline".  Here it's true, so it will open in the browser 
	oWW.Save Response, "OpenInlineOutput.doc", True
	
	'--- Clean up
	Set oWW = Nothing

%>