<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter ADO RecordSet Sample (ASP)
'	--------------------------------------------------
'
'	This sample demonstrates how to use an ADO Recordset
'	object as the template data source
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	'--- Declarations
	Dim oConn
	Dim oRS
	Dim strConnString
	Dim oWW
	Dim strSQL

	'--- Define the connection string we'll use to connect to the Access database
	'--- This string is stored in global.asa
	strConnString = "Driver={Microsoft Access Driver (*.mdb)};Dbq=" & _ 
					Server.MapPath("../../../Database/northwind.mdb") & ";"

	'--- SQL statement used to query the database
	'--- SELECT the first row from the database
	strSQL = "SELECT TOP 1 TitleOfCourtesy, FirstName, LastName, Title FROM Employees"
			
	'--- Instantiate and open an ADO Connection, passing the connection string
	Set oConn = Server.CreateObject("ADODB.Connection")
	oConn.Open strConnString

	'--- Query the database and get a RecordSet
	Set oRS = oConn.Execute(strSQL)
	
	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call Open() to open the template file
	oWW.Open Server.MapPath("./RecordSetTemplate.doc")

	'--- Pass the RecordSet object to SetDataSource()
	oWW.SetDataSource oRS
	
	'--- Call WordTemplate.Process() to populate the template with the new data
	oWW.Process

	'--- After processing the template, call WordTemplate.Save() and pass the ASP Response to stream
	'--- The second argument is the file name that will appear in the SaveAs dialog
	'--- The third argument is "open inline".  Here it's false, so it will open in a new
	'--- Microsoft Word instance instead of in the browser
	oWW.Save Response, "RecordSetOutput.doc", False

	'--- Clean up
	oRS.Close
	oConn.Close
	Set oRS = Nothing
	Set oConn = Nothing
	Set oWW = Nothing
%>
