<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter SaveMultiple Sample (ASP)
'	-------------------------------------------------
'
'	You can call the Save() method more than once to save a
'	generated document to more than one location.
'
'	This sample shows how to save a copy of the document to the disk
'	and stream to a browser in one script.
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'
	'--- Declarations
	Dim arrValues
	Dim arrNames
	Dim oWW


	'--- The array of values
	'--- these values are what will be populated into mergefields in the 
	'--- template document
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	
	'--- The array of names should be of type string[]
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrNames = Array("CompanyName", "ProductName", "URL")

	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call Open() to open the template file
	oWW.Open Server.MapPath("./SaveMultipleTemplate.doc")

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValues, arrNames

	'--- Call WordTemplate.Process() to populate the template with the new data
	oWW.Process

	'--- After processing the document, call Save() twice.  
	'--- First, pass a file path string to save to the disk
	oWW.Save Server.MapPath("./SaveMultipleOutput.doc")
	
	'--- Then, call WordTemplate.Save() again and pass the ASP Response object to stream to the client
	'--- The second argument is the file name that will appear in the SaveAs dialog
	'--- The third argument is "open inline".  Here it's false, so it will open in a new
	'--- Microsoft Word instance instead of in the browser
	oWW.Save Response, "SaveMultipleOutput.doc", False

	'--- Clean up
	Set oWW = Nothing
	
%>