<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter Envelope Sample (ASP)
'	---------------------------------------------
'
'	This sample demonstrates how to use WordWriter to create
'	an envelope.
'
'	All envelope recipient and return address information is obtained
'	from the web form, and populated into the template envelope by
'	WordWriter.
'

'
'	SoftArtisans WordWriter Envelope Sample (ASP)
'	---------------------------------------------
'
'	This sample demonstrates how to use WordWriter to create
'	an envelope.
'
'	All envelope recipient and return address information is obtained
'	from the web form, and populated into the template envelope by
'	WordWriter.
'

	'--- Declarations
	Dim oWW
	Dim arrNames
	Dim arrValues(5)

	'--- Form the required WordWriter name array.  The elements in this array correspond to the names of the
	'--- merge fields in the template, and each element's array index should correpond to an element in the
	'--- value array
	arrNames = Array("RtnName", "RtnStreet", "RtnCityStateZip", "RcpName", "RcpStreet", "RcpCityStateZip")
	
	'--- The value array.  The value of the elements in this array contain info supplied in the web form.
	'--- These values represent the data that will be dynamically populated in the template file
	arrValues(0) = Request.Form("txtRtnAddrName")
	arrValues(1) = Request.Form("txtRtnAddrStreet")
	arrValues(2) = Request.Form("txtRtnAddrCityStateZip")
	arrValues(3) = Request.Form("txtRcpAddrName")
	arrValues(4) = Request.Form("txtRcpAddrStreet")
	arrValues(5) = Request.Form("txtRcpAddrCityStateZip")

	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Open the template file
	oWW.Open Server.MapPath("./Envelope10Template.doc")

	'--- Set the datasource with the name and value arrays defined above
	oWW.SetDataSource arrValues, arrNames 

	'--- Process the template
	oWW.Process

	'--- Begin streaming the processed template
	oWW.Save Response, "EnvelopeOutput.doc", False
	
	'--- Clean up
	Set oWW = Nothing
	
%>

