<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter FormLetter Sample (ASP)
'	-----------------------------------------------
'
'	This sample demonstrates how to use WordWriter to create
'	a dynamic form letter.  
'
'	All letter recipient and author information is dynamically obtained
'	from the web form, and populated into the template document by
'	WordWriter.
'

	'--- Declarations
	Dim oWW
	Dim recipName
	Dim recipCity
	Dim recipState
	Dim recipZip
	Dim recipStreetAddr
	Dim authName
	Dim authTitle
	Dim arrNames
	Dim arrValues

	'--- Copy values from the form into local String variables
	recipName = Request.Form("txtRecipientName")
	recipStreetAddr = Request.Form("txtRecipientStreetAddr")
	recipCity  = Request.Form("txtRecipientCity")
	recipState  = Request.Form("txtRecipientState")
	recipZip  = Request.Form("txtRecipientZip")
	authName  = Request.Form("txtAuthorName")
	authTitle  = Request.Form("txtAuthorTitle")

	'--- Form the required WordWriter name array.  The elements in this array correspond to the names of the
	'--- merge fields in the template, and each element's array index should correpond to an element in the
	'--- value array
	arrNames = Array("RecipientName", "RecipientStreetAddr", "RecipientCity", "RecipientState", _
					"RecipientZip", "AuthorName", "AuthorTitle")
	
	'--- The value array.  The value of the elements in this array contain info supplied in the web form.
	'--- These values represent the data that will be dynamically populated in the template file
	arrValues = Array(recipName, recipStreetAddr, recipCity, recipState, recipZip, authName, authTitle)
		

	'--- Instantiate the WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Open the template file
	oWW.Open Server.MapPath("./FormLetterTemplate.doc")

	'--- Set the datasource with the name and value arrays defined above
	oWW.SetDataSource arrValues, arrNames

	'--- Process the template
	oWW.Process

	'--- Begin streaming the processed template
	oWW.Save Response, "FormLetterOutput.doc", False
		
	'--- Clean up
	Set oWW = Nothing

%>