<!-- #include file="../include/header.inc" -->
<table width=95% ID="Table1">
<tr>
<td valign=top><h2>Index of ASP.NET Samples</h2>
</td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>   
<ul>
	<li><a href="#basic">Basic Samples</a></li>
	<li><a href="#intermediate">Intermediate Samples</a></li>
	<li><a href="#application">Advanced Samples</a></li>
</ul>
<hr>
<h2><a name="basic"></a>Basic Samples</h2>
<table class=table2>
<tr>
	<th>ArrayVars</th>
	<td>
	<p>This sample demonstrates how to use a one-dimensional array	
	with multiple values as a data source.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/ArrayVars/ArrayVars-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/ArrayVars/ArrayVarsTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/ArrayVars/ArrayVars-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/ArrayVars/ArrayVarsTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>DataSourceUpdate</th>
	<td>
	<table>
	<p>	You can call <code>Process</code> and <code>Save</code> multiple times 
	for the same instance of <code>WordTemplate</code>.
	The DataSourceUpdate samples generate two files with different data from 
	a single template. After the first file is created, the data source is updated, 
	and <code>Process</code> and <code>Save</code> are called a second time.</p>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/DataSourceUpdate/DataSourceUpdate-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSourceUpdate/DataSourceUpdateTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/DataSourceUpdate/DataSourceUpdate-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSourceUpdate/DataSourceUpdateTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>DataSet</th>
	<td>
	<table>
	<p>The DataSet samples demonstrate how to use an ADO.NET DataSet
	as a template data source.</p>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSet/DataSetTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/DataSet/DataSet-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataSet/DataSetTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>DataTable</th>
	<td>
	<p>The DataTable samples demonstrate how to use an ADO.NET DataTable
	as a template data source.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/DataTable/DataTable-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataTable/DataTableTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/DataTable/DataTable-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/DataTable/DataTableTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>MixedVars</th>
	<td>
	<p>The MixedVars samples demonstrate how to use an object array of different
	non-string types as a data source.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/MixedVars/MixedVars-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/MixedVars/MixedVarsTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/MixedVars/MixedVars-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/MixedVars/MixedVarsTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>OpenInline</th>
	<td>
	<table>
	<p>WordWriter allows you save the generated Word file 
	on the server, or stream it to the client.  The following 
	samples stream the generated file to the client with the 
	file's content-disposition set to "inline."  If the user 
	chooses to open (rather than save) the file, it will open 
	within the browser window.</p>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/OpenInline/OpenInline-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/OpenInline/OpenInlineTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/OpenInline/OpenInline-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/OpenInline/OpenInlineTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>SaveMultiple</th>
	<td>
	<p>You can call the <code>Save</code> method more than once to save a
generated document to more than one location.
These samples show you how to save a copy of the document on the server
and stream a copy to the client in one script.
</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/SaveMultiple/SaveMultiple-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveMultiple/SaveMultipleTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/SaveMultiple/SaveMultiple-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveMultiple/SaveMultipleTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>SaveToDisk</th>
	<td>
	<p>WordWriter allows you save the generated Word file 
	on the server, or stream it to the client.  The following samples
	save the generated file on the server.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/SaveToDisk/SaveToDisk-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveToDisk/SaveToDiskTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/SaveToDisk/SaveToDisk-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/SaveToDisk/SaveToDiskTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th><a name="streamio"></a>StreamIO</th>
	<td><p>WordWriter's 
	<a href="<%=vroot%>doc/reference/open.asp">Open</a> and
	<a href="<%=vroot%>doc/reference/process.asp">Process</a> 
	methods can take either a string file path or a System.IO.Stream 
	object as an argument.  The following samples pass both methods 
	a System.IO.FileStream, a class derived from System.IO.Stream.  
	The samples save the generated Word file on the server.	</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/StreamIO/StreamIO-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/StreamIO/StreamIOTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/StreamIO/StreamIO-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/StreamIO/StreamIOTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>StringVar</th>
	<td><p>The StringVar samples generate a file from a template 
	that contains a single merge field.  The data source is 
	a single-element array.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Basic/StringVar/StringVar-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/StringVar/StringVarTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Basic/StringVar/StringVar-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Basic/StringVar/StringVarTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
</table>   
<p><a href="#top">Top</a></p><hr>
<h2><a name="intermediate"></a>Intermediate Samples</h2>
<table class=table2>
<tr>
	<th>DatabaseSelect</th>
	<td><p>The DatabaseSelect samples create a dynamic form letter, 
	using a database as the template's data source.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/DatabaseSelect/DatabaseSelect-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/DatabaseSelect/DatabaseSelectTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/DatabaseSelect/DatabaseSelect-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/DatabaseSelect/DatabaseSelectTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>Envelope</th>
	<td><p>The Envelope samples use WordWriter to generate an envelope. 
	The template envelope contains merge fields for the delivery name and address 
	and the return name and address. The WordWriter code uses an array as the 
	data source and gets the array values from an HTML form. 
	To run either sample, click Run Sample, enter return and delivery information in the 
	form, and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/Envelope/Envelope-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Envelope/Envelope10Template.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/Envelope/Envelope-cs.aspx")
	%><div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Envelope/Envelope10Template.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>FaxCover</th>
	<td><p>The FaxCover samples use WordWriter to open a fax cover template, 
set a data source, populate the merge fields, and generate a new fax cover document.  
The template contains the merge fields ToName, FromName, FaxNumber, PhoneNumber, 
Subject, PageCount, Comments, chkUrgent, chkReview, and chkComment.  The WordWriter code uses 
an array as the data source and 
gets the array values from an HTML form. 
<p>Check boxes in the HTML form provide the 
values for chkUrgent, chkReview, and chkComment.  If a box is checked, "X" will be entered 
in the data source value array and displayed in the generated file.  If a box is not 
checked, an empty string will be entered in the value array and nothing will be displayed 
by the field name (for example, by "Urgent") in the generated file.
To run either sample, click Run Sample, enter the fax information in the form,
and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/FaxCover/FaxCover-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FaxCover/FaxCoverTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/FaxCover/FaxCover-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FaxCover/FaxCoverTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>Formatting</th>
	<td><p>In Microsoft Word, you can apply special formatting to a template's 
	merge fields.  The following examples generate a Word file from a template 
	that contains merge fields with date and currency formatting.  To 
	see (or hide) a merge field's formatting codes, right-click the merge field and 
	select <b>Toggle Field Codes</b>.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/Formatting/Formatting-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Formatting/FormattingTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/Formatting/Formatting-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/Formatting/FormattingTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>FormLetter</th>
	<td><p>The FormLetter samples use WordWriter to open a template form letter, 
set a data source, populate the merge fields, and generate a new file.  
The template form letter contains merge fields for recipient name and address and 
author name and title.  The WordWriter code uses an array as the data source and 
gets the array values from an HTML form.  To run either sample, click Run Sample, enter 
recipient and author information in the form, and click the Generate button.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/FormLetter/FormLetter-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FormLetter/FormLetterTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/FormLetter/FormLetter-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/FormLetter/FormLetterTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>MultipleDataSource</th>
	<td><p>This sample demonstrates how to use WordWriter to populate a Word 
	table with tabular data.  Select a customer from the first dropdown list, 
	and then select an order ID for which to generate an invoice.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowExample ("Intermediate/MultipleDataSource/MultipleDataSource-vb.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/MultipleDataSource/MultipleDataSourceTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowExample ("Intermediate/MultipleDataSource/MultipleDataSource-cs.aspx")
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Intermediate/MultipleDataSource/MultipleDataSourceTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
</table>
<p><a href="#top">Top</a></p><hr>
<h2><a name="application"></a>Advanced Samples</h2>
<table class=table2>
<tr>
	<th>Calendar</th>
	<td><p>The Calendar samples dynamically create a calendar for 
	a month and year submitted from an HTML form.  The samples use 
	an array as a data source.  The array contains the year, the 
	month, the days of the month, and empty strings for day fields 
	that do not occur in the given month.</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>	
	<%
	ShowCodeBehindExample "Calendar Generator",_
			"Application/Calendar/CalendarWebForm-vb.aspx",_
			"Application/Calendar/CalendarCode.aspx.vb"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/Calendar/CalendarTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowCodeBehindExample "Calendar Generator",_
			"Application/Calendar/CalendarWebForm-cs.aspx",_
			"Application/Calendar/CalendarCode.aspx.cs"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/Calendar/CalendarTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
<tr>
	<th>MailMerge</th>
	<td><p>The MailMerge samples generate multiple form letters 
	by calling WordWriter in a loop.  The data source is a database 
	table that provides unique recipient information for each generated 
	letter. 
</p>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowCodeBehindExample "Mail Merge",_
			"Application/MailMerge/MailMergeForm-vb.aspx",_
			"Application/MailMerge/MailMergeCode.aspx.vb"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/MailMerge/MergeTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowCodeBehindExample "Mail Merge",_
			"Application/MailMerge/MailMergeForm-cs.aspx",_
			"Application/MailMerge/MailMergeCode.aspx.cs"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/MailMerge/MergeTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>
	</td>
</tr>
</table>
<p><a href="#top">Top</a></p>
<!-- #include file="../include/footer.inc" -->
