<!-- #include file="../../include/header.inc" -->
<table width=95%>
<tr>
<td valign=top><h2>Generating Multiple Form Letters</h2></td>
<td align=right valign=top><img src="<%=vroot%>images/wordwriter.gif"></td>
</tr>
</table>
<hr>
<p>The VB.NET and C# MailMerge samples demonstrate generating multiple form letters 
by calling WordWriter in a loop.  Each sample includes a Web form and 
a "code behind" page.  The data source for each letter is a database record that populates 
each letter with unique recipient information.  To run either sample:</p>

<ol>
	<li>Click <b>Run Sample</b>.<br><br>
	<li>Check several <b>Mail to</b> check boxes.<br><br>
	<li>Click <b>Generate documents</b>.  WordWriter will generate form letters 
	for each of the names checked.  A list of links to each recipient's 
	letter will be displayed.<br><br>
	<li>To view a letter, click the recipient's link. <br><br>
</ol>
	<table>
	<tr>
	<td><div class="indent"><h6>VB.NET Example</h6></div>
	<%
	ShowCodeBehindExample "Mail Merge",_
			"Application/MailMerge/MailMergeForm-vb.aspx",_
			"Application/MailMerge/MailMergeCode.aspx.vb"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/MailMerge/MergeTemplate.doc">View Template</a>]</div>
	</td>
	<td><div class="indent"><h6>C# Example</h6></div>
	<%
	ShowCodeBehindExample "Mail Merge",_
			"Application/MailMerge/MailMergeForm-cs.aspx",_
			"Application/MailMerge/MailMergeCode.aspx.cs"
	%>
	<div class="indent">[<a target="_blank" href="<%=vroot%>samples/Application/MailMerge/MergeTemplate.doc">View Template</a>]</div>
	</td>
	</tr>
	</table>


<!-- #include file="../../include/footer.inc" -->
