<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter ArrayVars Sample (ASP)
'	----------------------------------------------
'
'	This sample demonstrates how to use a one-dimesional array	
'	with multiple values as a datasource.
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'
		
	'--- Declarations
	Dim arrValues
	Dim arrNames
	Dim oWW
	
	'--- The array of values 
	'--- these values are what will be populated into mergefields in the 
	'--- template document
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	
	'--- The array of names 
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrNames = Array("CompanyName", "ProductName", "URL")

	'--- Instantiate WordTemplate
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call the Open method to open the template file
	oWW.Open(Server.MapPath("./ArrayVarsTemplate.doc"))

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValues, arrNames

	'--- Call WordTemplate.Process to populate the template with the new data
	oWW.Process

	'--- After processing the template, call WordTemplate.Save() and pass the ASP Response object
	'--- to stream the result to the client
	'--- The second argument is the file name that will appear in the SaveAs dialog
	'--- The third argument is "open inline".  Here it's false, so it will open in a new
	'--- Microsoft Word instance instead of in the browser
	oWW.Save Response, "ArrayVarsOutput.doc", False 
	
	'--- Clean Up
	Set oWW = Nothing

%>


