<%@ Language="VBScript" %>
<% Option Explicit %>

<html>
<head>
<title>SoftArtisans WordWriter</title>
</head>
<img src="../../../images/wordwriter.jpg" alt="SoftArtisans.WordWriter" />
<br /><br />
<body>

<%
'
'	SoftArtisans WordWriter SaveToDisk Sample (ASP)
'	-----------------------------------------------
'
'	By passing a string file path to the WordWriter.Process()
'	method, you can save generated documents to the disk instead
'	of streaming to the client
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	'--- Declarations
	Dim arrValues
	Dim arrNames
	Dim oWW

	'--- The array of values
	'--- these values are what will be populated into mergefields in the 
	'--- template document
	arrValues = Array("SoftArtisans", "WordWriter", "http://www.softartisans.com")
	
	'--- The array of names
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrNames = Array("CompanyName", "ProductName", "URL")

	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call Open() to open the template file
	oWW.Open Server.MapPath("./SaveToDiskTemplate.doc")

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValues, arrNames

	'--- Call WordTemplate.Process() to populate the template with the new data
	oWW.Process

	'--- Pass a string file path to the WordTemplate.Save() method to save
	'--- the document to the disk instead of streaming
	oWW.Save Server.MapPath("./SaveToDiskOutput.doc")

	'--- Display the full path to the generated document
	Response.Write("Your document was successfully saved as: " & Server.MapPath("./SaveToDiskOutput.doc"))

	'--- Clean Up
	Set oWW = Nothing


%>

</body>
</html>