<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter FormLetter Sample (ASP)
'	-----------------------------------------------
'
'	This sample demonstrates how to use WordWriter to create
'	a dynamic form letter.  
'
'	All letter recipient and author information is dynamically obtained
'	from the web form, and populated into the template document by
'	WordWriter.
'
	'--- Declarations
	Dim oConn
	Dim oRS
	Dim oWW
	Dim strFirstName
	Dim strLastName
	Dim strDocumentName
	Dim strSQL
	
	'--- Check to be sure an employee id is specified
	If Request.QueryString("id") = "" Then
		Response.Write("You must include an ""id"" in the querystring.")
		Response.End
	End If

	'--- SQL statement used to retrieve employee address information from the database
	strSQL = "SELECT FirstName, LastName, TitleOfCourtesy, Address, City, Region, PostalCode " & _
				"FROM Employees WHERE EmployeeID=" & Request.QueryString("id")
	

	'--- Open a database connection
	Set oConn = Server.CreateObject("ADODB.Connection")
	oConn.Open "Driver={Microsoft Access Driver (*.mdb)};Dbq=" & _ 
				Server.MapPath("../../../Database/northwind.mdb") & ";"
	
	'--- Execute the query
	Set oRS = oConn.Execute(strSQL)

	'--- Pull the firstname and lastname from the dataset, we'll use these variables later
	strFirstName = oRS.Fields("FirstName").Value
	strLastName = oRS.Fields("LastName").Value
	
	'--- Form the name of the document we will generate
	strDocumentName = strLastName & strFirstName & ".doc"

	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Open the template file
	oWW.Open Server.MapPath("./DatabaseSelectTemplate.doc")
			
	'--- Set the datasource with the Recordset containing the recipient information
	oWW.SetDataSource oRS

	'--- Process the template
	oWW.Process
	
	'--- Begin streaming the processed template
	oWW.Save Response, strDocumentName, False

	'--- Clean up
	oRS.Close
	oConn.Close
	Set oRS = Nothing
	Set oConn = Nothing
	Set oWW = Nothing
	
%>