<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter FaxCover Sample (ASP)
'	---------------------------------------------
'
'	This sample demonstrates how to use WordWriter to create
'	a dynamic fax cover sheet.
'
'	All fax cover sheet information is dynamically obtained
'	from the web form, and populated into the template document by
'	WordWriter.
'

	'--- Declarations
	Dim oWW
	Dim arrNames
	Dim arrValues(10)

	'--- Form the required WordWriter name array.  The elements in this array correspond to the names of the
	'--- merge fields in the template, and each element's array index should correpond to an element in the
	'--- value array
	arrNames = Array("ToName", "FromName", "Company", "FaxNumber", "PhoneNumber", "Subject", _
							"PageCount", "Comments", "ChkUrgent", "ChkReview", "ChkComment")

	'--- The value array.  The value of the elements in this array contain info supplied in the web form.
	'--- These values represent the data that will be dynamically populated in the template file
	arrValues(0) = Request.Form("txtToName")
	arrValues(1) = Request.Form("txtFromName")
	arrValues(2) = Request.Form("txtCompany")
	arrValues(3) = Request.Form("txtFaxNumber")
	arrValues(4) = Request.Form("txtPhoneNumber")
	arrValues(5) = Request.Form("txtSubject")
	arrValues(6) = Request.Form("txtPageCount")
	arrValues(7) = Request.Form("txtComments")
	arrValues(8) = Request.Form("chkUrgent")
	arrValues(9) = Request.Form("chkReview")
	arrValues(10) = Request.Form("chkComment")
		
	'--- Instantiate the WordWriter.WordTemplate object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Open the template file
	oWW.Open Server.MapPath("./FaxCoverTemplate.doc")

	'--- Set the datasource with the name and value arrays defined above
	oWW.SetDataSource arrValues, arrNames

	'--- Process the template
	oWW.Process

	'--- Begin streaming the processed template
	oWW.Save Response, "FaxCoverOutput.doc", False
		
	'--- Clean up
	Set oWW = Nothing
%>
