<%@ Language="VBScript" %>
<% Option Explicit %>

<%
'
'	SoftArtisans WordWriter Formatting Sample (ASP)
'	-----------------------------------------------
'
'	Behavior of Microsoft Word MergeFields can be modified with
'	specialized formatting codes.  See the template file FormattingTemplate.doc
'	to see these codes.
'
'	Note:  The calculated field in the template requires a macro so that
'			the data is updated when the document is opened.  Please allow
'			the macro to run.  View the macro code by pressing Alt-F11.
'
'
'	Copyright (c) 2003 SoftArtisans, Inc.
'	Mail: info@softartisans.com   http://www.softartisans.com
'
'

	'--- Declarations
	Dim oWW
	Dim strDate
	Dim currencyval
	Dim calcData1
	Dim calcData2
	Dim arrValue
	Dim arrName

	'--- These variables will be used as data sources in the template
	strDate = Date()	
	currencyval = 1.5
	calcData1 = 1
	calcData2 = 2

	'--- The value array.  The value of the elements in this array contain info supplied in the web form.
	'--- These values represent the data that will be dynamically populated in the template file
	arrValue = Array(strDate, strDate, strDate, _
						currencyval, currencyval, _
						calcData1, calcData2)
	
	'--- The array of names should be of type string[]
	'--- the array indices of the name array should correspond
	'--- to the indices of the value array
	arrName = Array("PlainDate", "FormattedDate1", "OtherDateFormat", _
						"CurrencyUnformatted", "CurrencyFormatted", _
						"CalcData1", "CalcData2")

	'--- Instantiate the WordWriter object
	Set oWW = Server.CreateObject("SoftArtisans.WordTemplate")

	'--- Call Open() to open the template file
	oWW.Open Server.MapPath("./FormattingTemplate.doc")

	'--- Set the data source of the document by passing
	'--- the value array and the name array that we initialized above
	oWW.SetDataSource arrValue, arrName

	'--- Process the template
	oWW.Process

	'--- Begin streaming the processed template
	oWW.Save Response, "FormattingOutput.doc", False

	'--- Clean up
	Set oWW = Nothing
%>
